from nntplib import NNTP
import pandas as pd
import numpy as np

import aqi
import model

site_ids = [
    "11-001-0043", #(49587, 24) (27981, 385)
    "13-089-0002", #(44817, 24) (21468, 385)
    "18-097-0078", #(44147, 24) (16774, 385)
    "22-033-0009", #(49886, 24) (6569, 385)
    "32-003-0540" #(29777, 24) (9665, 385)
]

for site_id in site_ids:
    df = pd.read_csv(f"../data/{site_id}_merged.csv")
    df.dt = pd.to_datetime(df.dt)
    print(site_id, df.shape)
    aqi.calculate_PSI(df, site_id)
    for i in range(0, 5):
        # model.single_experiment(df, f'FCAQI_{i}', site_id)
        model.single_experiment_nn(df, f'FCAQI_{i}', site_id)
    print('-------------')


# XGBOOST
# 11-001-0043 (27981, 386)
# 11-001-0043 FCAQI_0 0.2294371646012586 0.19678439796816263
# 11-001-0043 FCAQI_1 0.22981148849692987 0.17513330947737327
# 11-001-0043 FCAQI_2 0.04876288229943449 0.11111328176881817
# 11-001-0043 FCAQI_3 0.0031607325391470186 0.026855387985592304
# 11-001-0043 FCAQI_4 0.0011943681699498798 0.028787272716453545
# -------------
# 13-089-0002 (21468, 386)
# 13-089-0002 FCAQI_0 0.2386914873029286 0.1971662180750275
# 13-089-0002 FCAQI_1 0.21703822401181133 0.17711558725320223
# 13-089-0002 FCAQI_2 0.035667033341662144 0.09651169392496248
# 13-089-0002 FCAQI_3 0.003966244285198625 0.04740122175796136
# 13-089-0002 FCAQI_4 0.0005483633421391678 0.021059723244600287
# -------------
# 18-097-0078 (16774, 386)
# 18-097-0078 FCAQI_0 0.21291020601619937 0.1886146564754737
# 18-097-0078 FCAQI_1 0.21259091884090306 0.1714357143358797
# 18-097-0078 FCAQI_2 0.06497565014278943 0.1294122589676204
# 18-097-0078 FCAQI_3 0.0056937053141842145 0.034717612761337606
# 18-097-0078 FCAQI_4 0.0005971352086100182 0.024411988322636878
# -------------
# 22-033-0009 (6569, 386)
# 22-033-0009 FCAQI_0 0.22414244639631484 0.1917468811631294
# 22-033-0009 FCAQI_1 0.2184819083425707 0.17260617587441504
# 22-033-0009 FCAQI_2 0.06329757434630408 0.14141693853746792
# 22-033-0009 FCAQI_3 0.009347344549509558 0.06494946669805077
# 22-033-0009 FCAQI_4 3.5692120879795e-06 5.328132198844257e-06
# -------------
# 32-003-0540 (9665, 386)
# 32-003-0540 FCAQI_0 0.08292613072170509 0.15692262556626743
# 32-003-0540 FCAQI_1 0.2363810939672235 0.19497566953961673
# 32-003-0540 FCAQI_2 0.1846051220679135 0.19604931437854078
# 32-003-0540 FCAQI_3 0.04517579982393745 0.12099606630642648
# 32-003-0540 FCAQI_4 0.011621614680256779 0.08049490351106396
# -------------

# NN
# 11-001-0043 FCAQI_0 0.40527664889266246 0.2582083915850899
# 11-001-0043 FCAQI_1 0.3989412907276611 0.22227676768355337
# 11-001-0043 FCAQI_2 0.06485918684226674 0.1474470468866442
# 11-001-0043 FCAQI_3 0.0028604074023515368 0.033282372233802995
# 11-001-0043 FCAQI_4 0.0011332462338973887 0.02670263332147029
# -------------
# 13-089-0002 (21468, 386)
# 13-089-0002 FCAQI_0 0.46019392214602245 0.2526365668391626
# 13-089-0002 FCAQI_1 0.39820906961763175 0.24433321597131355
# 13-089-0002 FCAQI_2 0.04538618292091717 0.1320378185990144
# 13-089-0002 FCAQI_3 0.0036451858967132492 0.04699714082290691
# 13-089-0002 FCAQI_4 0.002267657825258915 0.020831916388696768
# -------------
# 18-097-0078 (16774, 386)
# 18-097-0078 FCAQI_0 0.424896280947369 0.25513342425253216
# 18-097-0078 FCAQI_1 0.4062301589994005 0.22714681619046775
# 18-097-0078 FCAQI_2 0.0736761785548795 0.16922345687044074
# 18-097-0078 FCAQI_3 0.004606135660630601 0.0515675308756545
# 18-097-0078 FCAQI_4 0.0024742560248623706 0.029813669325325448
# -------------
# 22-033-0009 (6569, 386)
# 22-033-0009 FCAQI_0 0.42578633346298833 0.22764871213458274
# 22-033-0009 FCAQI_1 0.39215649349353016 0.2063012890608493
# 22-033-0009 FCAQI_2 0.056090764991419344 0.15837766288735336
# 22-033-0009 FCAQI_3 0.008354028075050875 0.05885448899658725
# 22-033-0009 FCAQI_4 nan nan
# -------------
# 32-003-0540 (9665, 386)
# 32-003-0540 FCAQI_0 0.10890522399225089 0.20011252812840047
# 32-003-0540 FCAQI_1 0.3617221481058205 0.20332998157912777
# 32-003-0540 FCAQI_2 0.2914673025003945 0.21926679147797762
# 32-003-0540 FCAQI_3 0.03905313951096219 0.12780717717232828
# 32-003-0540 FCAQI_4 0.009989276222258616 0.07781948442053327